Show / Hide Table of Contents

# Class FrameView

The FrameView is a container frame that draws a frame around the contents. It is similar to a GroupBox in Windows.

##### Inheritance

System.Object
Responder
View
FrameView

##### Implements

System.Collections.IEnumerable

##### Inherited Members

View.Enter
View.Leave
View.MouseEnter
View.MouseLeave
View.MouseClick
View.Driver
View.Subviews
View.Id
View.IsCurrentTop
View.WantMousePositionReports
View.WantContinuousButtonPressed
View.Frame
View.GetEnumerator()
View.LayoutStyle
View.Bounds
View.X
View.Y
View.Width
View.Height
View.SuperView
View.SetNeedsDisplay()
View.SetNeedsDisplay(Rect)
View.ChildNeedsDisplay()
View.Add(View[])
View.BringSubviewToFront(View)
View.SendSubviewToBack(View)
View.SendSubviewBackwards(View)
View.BringSubviewForward(View)
View.Clear()
View.Clear(Rect)
View.ScreenToView(Int32, Int32)
View.ClipToBounds()
View.SetClip(Rect)
View.DrawFrame(Rect, Int32, Boolean)
View.DrawHotString(ustring, Attribute, Attribute)
View.DrawHotString(ustring, Boolean, ColorScheme)
View.Move(Int32, Int32)
View.PositionCursor()
View.HasFocus
View.OnEnter()
View.OnLeave()
View.Focused
View.MostFocused
View.ColorScheme
View.AddRune(Int32, Int32, Rune)
View.ClearNeedsDisplay()
View.DrawContent
View.OnDrawContent(Rect)
View.SetFocus(View)
View.KeyPress
View.ProcessKey(KeyEvent)
View.ProcessHotKey(KeyEvent)
View.ProcessColdKey(KeyEvent)
View.KeyDown
View.OnKeyDown(KeyEvent)
View.KeyUp
View.OnKeyUp(KeyEvent)
View.EnsureFocus()
View.FocusFirst()
View.FocusLast()
View.FocusPrev()
View.FocusNext()
View.LayoutComplete
View.LayoutSubviews()
View.ToString()
View.OnMouseEnter(MouseEvent)
View.OnMouseLeave(MouseEvent)
View.OnMouseEvent(MouseEvent)
Responder.CanFocus
Responder.MouseEvent(MouseEvent)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class FrameView : View, IEnumerable

### Constructors

#### FrameView()

Initializes a new instance of the FrameView class using Computed layout.

##### Declaration

    public FrameView()

#### FrameView(ustring)

Initializes a new instance of the FrameView class using Computed layout.

##### Declaration

    public FrameView(ustring title)

##### Parameters

Type | Name | Description
--- | --- | ---
NStack.ustring | title | Title.

#### FrameView(Rect, ustring)

Initializes a new instance of the FrameView class using Absolute layout.

##### Declaration

    public FrameView(Rect frame, ustring title)

##### Parameters

Type | Name | Description
--- | --- | ---
Rect | frame | Frame.
NStack.ustring | title | Title.

#### FrameView(Rect, ustring, View[])

Initializes a new instance of the FrameView class using Computed layout.

##### Declaration

    public FrameView(Rect frame, ustring title, View[] views)

##### Parameters

Type | Name | Description
--- | --- | ---
Rect | frame | Frame.
NStack.ustring | title | Title.
View[] | views | Views.

### Properties

#### Title

The title to be displayed for this FrameView.

##### Declaration

    public ustring Title { get; set; }

##### Property Value

Type | Description
--- | ---
NStack.ustring | The title.

### Methods

#### Add(View)

Add the specified View to this container.

##### Declaration

    public override void Add(View view)

##### Parameters

Type | Name | Description
--- | --- | ---
View | view | View to add to this container

##### Overrides

View.Add(View)

#### Redraw(Rect)

Redraws this view and its subviews; only redraws the views that have been flagged for a re-display.

##### Declaration

    public override void Redraw(Rect bounds)

##### Parameters

Type | Name | Description
--- | --- | ---
Rect | bounds | The bounds (view-relative region) to redraw.

##### Overrides

View.Redraw(Rect)

##### Remarks

Always use Bounds (view-relative) when calling Redraw(Rect), NOT Frame (superview-relative).

Views should set the color that they want to use on entry, as otherwise this will inherit the last color that was set globaly on the driver.

Overrides of Redraw(Rect) must ensure they do not set `Driver.Clip` to a clip region larger than the `region` parameter.

#### Remove(View)

Removes a View from this container.

##### Declaration

    public override void Remove(View view)

##### Parameters

Type | Name | Description
--- | --- | ---
View | view |

##### Overrides

View.Remove(View)

##### Remarks

#### RemoveAll()

Removes all Views from this container.

##### Declaration

    public override void RemoveAll()

##### Overrides

View.RemoveAll()

##### Remarks

### Implements

System.Collections.IEnumerable